/*
 * CSS for jsPsych experiments.
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 */

 @import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);

/* Container holding jsPsych content */


 .jspsych-display-element {
   display: flex;
   flex-direction: column;
   overflow-y: auto;
 }

 .jspsych-display-element:focus {
   outline: none;
 }

 .jspsych-content-wrapper {
   display: flex;
   margin: auto;
   flex: 1 1 100%;
   width: 100%;
 }

 .jspsych-content {
   max-width: 95%; /* this is mainly an IE 10-11 fix */
   text-align: center;
   margin: auto; /* this is for overflowing content */
 }

 .jspsych-top {
   align-items: flex-start;
 }

 .jspsych-middle {
   align-items: center;
 }

/* fonts and type */

.jspsych-display-element {
  font-family: 'Open Sans', 'Arial', sans-serif;
  font-size: 1.3em;
  line-height: 1.6em;
}

/* Form elements like input fields and buttons */

.jspsych-display-element input[type="text"] {
  font-family: 'Open Sans', 'Arial', sans-serif;
  font-size: 16px;
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 16px;
  font-weight: 400;
  font-family: 'Open Sans', 'Arial', sans-serif;
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}

/* jsPsych progress bar */

#jspsych-progressbar-container {
  color: #555;
  border-bottom: 1px solid #dedede;
  background-color: #f9f9f9;
  margin-bottom: 1em;
  text-align: center;
  padding: 8px 0px;
  width: 100%;
  line-height: 1em;
}
#jspsych-progressbar-container span {
  font-size: 14px;
  padding-right: 14px;
}
#jspsych-progressbar-outer {
  background-color: #eee;
  width: 50%;
  margin: auto;
  height: 14px;
  display: inline-block;
  vertical-align: middle;
  box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
}
#jspsych-progressbar-inner {
  background-color: #aaa;
  width: 0%;
  height: 100%;
}

/* Control appearance of jsPsych.data.displayData() */
#jspsych-data-display {
  text-align: left;
}


.preamble{
    margin-top: 0;
    margin-left: 30%;
    margin-bottom: 0.5em;
    text-align: left;
    font-size: 1em;
}


.button-option {
    display: inline-block;
    padding: 6px 12px;
    margin: 0;
    font-size: .8em;
    font-weight: 400;
    font-family: 'Open Sans', 'Arial', sans-serif;
    cursor: pointer;
    line-height: 1.4;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    color: dimgrey;
    background-color: #fff;
    border-color: #ccc;
}

.button-option:hover {
    background-color: #ddd;
    border-color: #aaa;
}

.button-option:disabled {
    background-color: #eee;
    color: #aaa;
    border-color: #ccc;
    cursor: not-allowed;
}

/* Container holding jsPsych content */
.inputs{
    height:30px;
    weight:80%;
    display:block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    line-height: 1.1em;
    /*border-bottom: 1px solid black;*/
}

/* for bag of words */
.bags {
    display:inline-block;
    position:static;
    margin-top: 0;
    padding: 8px;
    border: 1px solid darkgrey;
    border-radius: 5px;
    margin-bottom: 10px;
}

.words{
    font-size: 1em ;
    /*font-size: .8em;*/
    font-family: 'Open Sans', 'Arial', sans-serif;
    border-bottom: 1px solid grey;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    margin:0px;
    /*border: 0;*/
    outline: 0;
    background: transparent;
    border-radius: 0;
}
